#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return { 2,1,3 };
}

int getMove1d(std::vector<int> v)
{
    int mx = 0, ind = 0;
    if (v.size() == 3) {
        for (int i = 0; i < v.size();++i) {
            if (v[i] > mx) {
                mx = v[i];
                ind = i;
            }
        }
        return ind;
    }
    if (v.size() == 5) {
        if (v[0] == 3) {
            return 0;
        }
        return (v.size() - 1);
    }
    if (v.size() == 7) {
        if (v[1] == 2) {
            return (v.size() - 1);
        }
        return 0;
    }
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
